From e1815414077347097e5bf0d75162add955e241d9 Mon Sep 17 00:00:00 2001
From: Romain Geissler <romain.geissler@amadeus.com>
Date: Sun, 5 Feb 2023 13:56:34 +0000
Subject: [PATCH 35/50] Pass $JANSSON_LIBS and $ZSTD_LIBS to
 ld-bootstrap/bootrap.exp

---
 ld/Makefile.am                          | 1 +
 ld/Makefile.in                          | 1 +
 ld/testsuite/ld-bootstrap/bootstrap.exp | 4 ++--
 3 files changed, 4 insertions(+), 2 deletions(-)

--- a/ld/Makefile.am
+++ b/ld/Makefile.am
@@ -992,6 +992,7 @@ check-DEJAGNU: site.exp
 		CXXFLAGS_FOR_TARGET="$(CXXFLAGS_FOR_TARGET)" \
 		OFILES="$(OFILES)" BFDLIB="$(TESTBFDLIB)" CTFLIB="$(TESTCTFLIB) $(ZLIB)" \
 		SFRAMELIB="$(TESTSFRAMELIB)" \
+		JANSSON_LIBS="$(JANSSON_LIBS)" ZSTD_LIBS="$(ZSTD_LIBS)" \
 		LIBIBERTY="$(LIBIBERTY) $(LIBINTL)" LIBS="$(LIBS)" \
 		DO_COMPARE="`echo '$(do_compare)' | sed -e 's,\\$$,,g'`" \
 		$(RUNTESTFLAGS); \
--- a/ld/Makefile.in
+++ b/ld/Makefile.in
@@ -2645,6 +2645,7 @@ check-DEJAGNU: site.exp
 		CXXFLAGS_FOR_TARGET="$(CXXFLAGS_FOR_TARGET)" \
 		OFILES="$(OFILES)" BFDLIB="$(TESTBFDLIB)" CTFLIB="$(TESTCTFLIB) $(ZLIB)" \
 		SFRAMELIB="$(TESTSFRAMELIB)" \
+		JANSSON_LIBS="$(JANSSON_LIBS)" ZSTD_LIBS="$(ZSTD_LIBS)" \
 		LIBIBERTY="$(LIBIBERTY) $(LIBINTL)" LIBS="$(LIBS)" \
 		DO_COMPARE="`echo '$(do_compare)' | sed -e 's,\\$$,,g'`" \
 		$(RUNTESTFLAGS); \
--- a/ld/testsuite/ld-bootstrap/bootstrap.exp
+++ b/ld/testsuite/ld-bootstrap/bootstrap.exp
@@ -162,13 +162,13 @@ foreach flags $test_flags {
     }
 
     if { [lindex [remote_exec build grep "-q \"HAVE_ZSTD 1\" config.h" ] 0] == 0 } then {
-	set extralibs "$extralibs -lzstd"
+	set extralibs "$extralibs $ZSTD_LIBS"
     }
 
     # Check if the system's jansson library is used. If so, the object files will
     # be using symbols from it, so link to it.
     if { [lindex [remote_exec build grep "-q \"HAVE_JANSSON 1\" config.h" ] 0] == 0 } then {
-	set extralibs "$extralibs -ljansson"
+	set extralibs "$extralibs $JANSSON_LIBS"
     }
 
     # Plugin support requires linking with libdl.
